%global _empty_manifest_terminate_build 0
Name:		python-XlsxWriter
Version:	1.3.3
Release:	1
Summary:	A Python module for creating Excel XLSX files.
License:	BSD
URL:		https://github.com/jmcnamara/XlsxWriter
Source0:	https://files.pythonhosted.org/packages/2a/db/c84469e2325e4f07a43c9da65ffc499af5479be7cd89411cff448446f09c/XlsxWriter-1.3.3.tar.gz
BuildArch:	noarch


%description
**XlsxWriter** is a Python module for writing files in the Excel 2007+ XLSX
file format.
XlsxWriter can be used to write text, numbers, formulas and hyperlinks to
multiple worksheets and it supports features such as formatting and many more,
including:
* 100% compatible Excel XLSX files.
* Full formatting.
* Merged cells.
* Defined names.
* Charts.
* Autofilters.
* Data validation and drop down lists.
* Conditional formatting.
* Worksheet PNG/JPEG/BMP/WMF/EMF images.
* Rich multi-format strings.
* Cell comments.
* Integration with Pandas.
* Textboxes.
* Support for adding Macros.
* Memory optimization mode for writing large files.
It supports Python 2.7, 3.4+ and PyPy and uses standard libraries only.
Here is a simple example:
   import xlsxwriter
   # Create an new Excel file and add a worksheet.
   workbook = xlsxwriter.Workbook('demo.xlsx')
   worksheet = workbook.add_worksheet()
   # Widen the first column to make the text clearer.
   worksheet.set_column('A:A', 20)
   # Add a bold format to use to highlight cells.
   bold = workbook.add_format({'bold': True})
   # Write some simple text.
   worksheet.write('A1', 'Hello')
   # Text with formatting.
   worksheet.write('A2', 'World', bold)
   # Write some numbers, with row/column notation.
   worksheet.write(2, 0, 123)
   worksheet.write(3, 0, 123.456)
   # Insert an image.
   worksheet.insert_image('B5', 'logo.png')
   workbook.close()
See the full documentation at: https://xlsxwriter.readthedocs.io
Release notes: https://xlsxwriter.readthedocs.io/changes.html

%package -n python3-XlsxWriter
Summary:	A Python module for creating Excel XLSX files.
Provides:	python-XlsxWriter
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-XlsxWriter
**XlsxWriter** is a Python module for writing files in the Excel 2007+ XLSX
file format.
XlsxWriter can be used to write text, numbers, formulas and hyperlinks to
multiple worksheets and it supports features such as formatting and many more,
including:
* 100% compatible Excel XLSX files.
* Full formatting.
* Merged cells.
* Defined names.
* Charts.
* Autofilters.
* Data validation and drop down lists.
* Conditional formatting.
* Worksheet PNG/JPEG/BMP/WMF/EMF images.
* Rich multi-format strings.
* Cell comments.
* Integration with Pandas.
* Textboxes.
* Support for adding Macros.
* Memory optimization mode for writing large files.
It supports Python 2.7, 3.4+ and PyPy and uses standard libraries only.
Here is a simple example:
   import xlsxwriter
   # Create an new Excel file and add a worksheet.
   workbook = xlsxwriter.Workbook('demo.xlsx')
   worksheet = workbook.add_worksheet()
   # Widen the first column to make the text clearer.
   worksheet.set_column('A:A', 20)
   # Add a bold format to use to highlight cells.
   bold = workbook.add_format({'bold': True})
   # Write some simple text.
   worksheet.write('A1', 'Hello')
   # Text with formatting.
   worksheet.write('A2', 'World', bold)
   # Write some numbers, with row/column notation.
   worksheet.write(2, 0, 123)
   worksheet.write(3, 0, 123.456)
   # Insert an image.
   worksheet.insert_image('B5', 'logo.png')
   workbook.close()
See the full documentation at: https://xlsxwriter.readthedocs.io
Release notes: https://xlsxwriter.readthedocs.io/changes.html

%package help
Summary:	Development documents and examples for XlsxWriter
Provides:	python3-XlsxWriter-doc
%description help
**XlsxWriter** is a Python module for writing files in the Excel 2007+ XLSX
file format.
XlsxWriter can be used to write text, numbers, formulas and hyperlinks to
multiple worksheets and it supports features such as formatting and many more,
including:
* 100% compatible Excel XLSX files.
* Full formatting.
* Merged cells.
* Defined names.
* Charts.
* Autofilters.
* Data validation and drop down lists.
* Conditional formatting.
* Worksheet PNG/JPEG/BMP/WMF/EMF images.
* Rich multi-format strings.
* Cell comments.
* Integration with Pandas.
* Textboxes.
* Support for adding Macros.
* Memory optimization mode for writing large files.
It supports Python 2.7, 3.4+ and PyPy and uses standard libraries only.
Here is a simple example:
   import xlsxwriter
   # Create an new Excel file and add a worksheet.
   workbook = xlsxwriter.Workbook('demo.xlsx')
   worksheet = workbook.add_worksheet()
   # Widen the first column to make the text clearer.
   worksheet.set_column('A:A', 20)
   # Add a bold format to use to highlight cells.
   bold = workbook.add_format({'bold': True})
   # Write some simple text.
   worksheet.write('A1', 'Hello')
   # Text with formatting.
   worksheet.write('A2', 'World', bold)
   # Write some numbers, with row/column notation.
   worksheet.write(2, 0, 123)
   worksheet.write(3, 0, 123.456)
   # Insert an image.
   worksheet.insert_image('B5', 'logo.png')
   workbook.close()
See the full documentation at: https://xlsxwriter.readthedocs.io
Release notes: https://xlsxwriter.readthedocs.io/changes.html

%prep
%autosetup -n XlsxWriter-1.3.3

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-XlsxWriter -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat Aug 15 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
